Bug 1131111 - Request epel7 branch
Summary: Request epel7 branch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-wheel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felix Schwarz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-18 13:16 UTC by Hiroaki KAWAI
Modified: 2018-04-11 13:11 UTC (History)
6 users (show)

Fixed In Version: python-wheel-0.24.0-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-24 18:49:56 UTC


Attachments (Terms of Use)
suggested patch (3.11 KB, patch)
2015-01-03 07:46 UTC, Matěj Cepl
no flags Details | Diff

Description Hiroaki KAWAI 2014-08-18 13:16:24 UTC
Description of problem:
python-wheel is not available in EPEL7

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. yum install -y http://ftp.iij.ad.jp/pub/linux/fedora/epel/beta/7/x86_64/epel-release-7-0.2.noarch.rpm
2. yum update -y
2. yum install -y python-wheel
3.

Actual results:


Expected results:


Additional info:

With small modification to current spec file(which seems to be generated by pyp2rpm), I could build target rpm as following:
# Unfortunatelly, pyp2rpm did not run on old python2.


yum install -y http://ftp.iij.ad.jp/pub/linux/fedora/epel/beta/7/x86_64/epel-release-7-0.2.noarch.rpm
yum update -y
yum install -y rpmdevtools python-devel python-setuptools pytest python-jsonschema python-keyring

pkg=python-wheel
SRCDIR=$(rpmdev-setuptree -d | head -n 2 | tail -n 1 | awk -e '{print $2}')
curl http://pkgs.fedoraproject.org/cgit/$pkg.git/snapshot/$pkg-master.tar.gz | tar zxf - -C $SRCDIR --strip 1
sed -i "s/%global with_python3 1/%if 0%{?fedora}\n%global with_python3 1\n%else\n%global with_python3 0\n%endif/" $SRCDIR/$pkg.spec
# or simply,
# sed -i "s/with_python3 1/with_python3 0/" $SRCDIR/$pkg.spec
spectool -gf -R $SRCDIR/$pkg.spec
rpmbuild -ba $SRCDIR/$pkg.spec

Comment 1 Felix Schwarz 2014-11-04 13:02:32 UTC
Bohuslav: If you aren't interested in EPEL7 I'm willing to co-maintain the package.

Comment 2 Bohuslav "Slavek" Kabrda 2014-11-04 13:46:03 UTC
(In reply to Felix Schwarz from comment #1)
> Bohuslav: If you aren't interested in EPEL7 I'm willing to co-maintain the
> package.

Felix, I'm perfectly ok with you comaintaining. Please go on and request epel 7 branch and push and build as you wish. Thanks!

Comment 3 Felix Schwarz 2014-11-04 15:35:57 UTC
(In reply to Bohuslav "Slavek" Kabrda from comment #2)
> Felix, I'm perfectly ok with you comaintaining. Please go on and request
> epel 7 branch and push and build as you wish. Thanks!

ok, applied for co-maintainership in pkgdb so I can create a package change request afterwards in bug 1035770

Comment 4 Matěj Cepl 2015-01-03 07:46:06 UTC
Created attachment 975529 [details]
suggested patch

I have made a build in http://koji.fedoraproject.org/koji/taskinfo?taskID=8518312

I had to make one change (to make python3 conditional on RHEL version). Slávku, could you please incorporate it into the master branch?

Comment 5 Bohuslav "Slavek" Kabrda 2015-01-05 13:16:26 UTC
Patch applied to both epel7 and master (f22) branches.

Comment 6 Fedora Update System 2015-01-05 13:17:34 UTC
python-wheel-0.24.0-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-wheel-0.24.0-2.el7

Comment 7 Fedora Update System 2015-01-06 02:08:27 UTC
Package python-wheel-0.24.0-2.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-wheel-0.24.0-2.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0078/python-wheel-0.24.0-2.el7
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-01-24 18:49:56 UTC
python-wheel-0.24.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.